### Function

# Gck modules_initialize_registered

#### Declaration [src]

    GList*
    gck_modules_initialize_registered (
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load and initialize all the registered modules.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GckModule*`

A newly allocated list of `GckModule` objects.

The caller of the function takes ownership of the data, and is responsible for freeing it.